org.jboss.logging

## Interface BasicLogger

All Known Implementing Classes:
  DelegatingBasicLogger, Logger

    public interface BasicLogger

An interface which specifies the basic logger methods. When used as the base interface of a typed logger, these methods will delegate to the corresponding underlying logger instance.

Author:
  David M. Lloyd

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug(Object message)` Issue a log message with a level of DEBUG.
`void` `debug(Object message, Throwable t)` Issue a log message and throwable with a level of DEBUG.
`void` `debug(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of DEBUG.
`void` `debug(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of DEBUG and a specific logger class name.
`void` `debugf(String format, int arg)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, int arg1, int arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, int arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, long arg)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, long arg1, long arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, long arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, Object... params)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, Object param1)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, Object param1, Object param2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, int arg)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, int arg1, int arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, int arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, long arg)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, long arg1, long arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, long arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of DEBUG.
`void` `debugf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of DEBUG.
`void` `debugv(String format, Object... params)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(String format, Object param1)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(String format, Object param1, Object param2)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(Throwable t, String format, Object... params)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(Throwable t, String format, Object param1)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `debugv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
`void` `error(Object message)` Issue a log message with a level of ERROR.
`void` `error(Object message, Throwable t)` Issue a log message and throwable with a level of ERROR.
`void` `error(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of ERROR.
`void` `error(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of ERROR and a specific logger class name.
`void` `errorf(String format, Object... params)` Issue a formatted log message with a level of ERROR.
`void` `errorf(String format, Object param1)` Issue a formatted log message with a level of ERROR.
`void` `errorf(String format, Object param1, Object param2)` Issue a formatted log message with a level of ERROR.
`void` `errorf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of ERROR.
`void` `errorf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of ERROR.
`void` `errorf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of ERROR.
`void` `errorf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of ERROR.
`void` `errorf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of ERROR.
`void` `errorv(String format, Object... params)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(String format, Object param1)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(String format, Object param1, Object param2)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(Throwable t, String format, Object... params)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(Throwable t, String format, Object param1)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `errorv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
`void` `fatal(Object message)` Issue a log message with a level of FATAL.
`void` `fatal(Object message, Throwable t)` Issue a log message and throwable with a level of FATAL.
`void` `fatal(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of FATAL.
`void` `fatal(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of FATAL and a specific logger class name.
`void` `fatalf(String format, Object... params)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(String format, Object param1)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(String format, Object param1, Object param2)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of FATAL.
`void` `fatalf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of FATAL.
`void` `fatalv(String format, Object... params)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(String format, Object param1)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(String format, Object param1, Object param2)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(Throwable t, String format, Object... params)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(Throwable t, String format, Object param1)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `fatalv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
`void` `info(Object message)` Issue a log message with a level of INFO.
`void` `info(Object message, Throwable t)` Issue a log message and throwable with a level of INFO.
`void` `info(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of INFO.
`void` `info(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of INFO and a specific logger class name.
`void` `infof(String format, Object... params)` Issue a formatted log message with a level of INFO.
`void` `infof(String format, Object param1)` Issue a formatted log message with a level of INFO.
`void` `infof(String format, Object param1, Object param2)` Issue a formatted log message with a level of INFO.
`void` `infof(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of INFO.
`void` `infof(Throwable t, String format, Object... params)` Issue a formatted log message with a level of INFO.
`void` `infof(Throwable t, String format, Object param1)` Issue a formatted log message with a level of INFO.
`void` `infof(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of INFO.
`void` `infof(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of INFO.
`void` `infov(String format, Object... params)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(String format, Object param1)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(String format, Object param1, Object param2)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(Throwable t, String format, Object... params)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(Throwable t, String format, Object param1)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`void` `infov(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
`boolean` `isDebugEnabled()` Check to see if the `DEBUG` level is enabled for this logger.
`boolean` `isEnabled(Logger.Level level)` Check to see if the given level is enabled for this logger.
`boolean` `isInfoEnabled()` Check to see if the `INFO` level is enabled for this logger.
`boolean` `isTraceEnabled()` Check to see if the `TRACE` level is enabled for this logger.
`void` `log(Logger.Level level, Object message)` Log a message at the given level.
`void` `log(Logger.Level level, Object message, Throwable t)` Issue a log message and throwable at the given log level.
`void` `log(Logger.Level level, String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable at the given log level and a specific logger class name.
`void` `log(String loggerFqcn, Logger.Level level, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable at the given log level.
`void` `logf(Logger.Level level, String format, Object... params)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, String format, Object param1)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, String format, Object param1, Object param2)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, String format, Object param1, Object param2, Object param3)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, Throwable t, String format, Object... params)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, Throwable t, String format, Object param1)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, Throwable t, String format, Object param1, Object param2)` Issue a formatted log message at the given log level.
`void` `logf(Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message at the given log level.
`void` `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object... params)` Log a message at the given level.
`void` `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1)` Log a message at the given level.
`void` `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2)` Log a message at the given level.
`void` `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Log a message at the given level.
`void` `logv(Logger.Level level, String format, Object... params)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, String format, Object param1)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, String format, Object param1, Object param2)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, String format, Object param1, Object param2, Object param3)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, Throwable t, String format, Object... params)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, Throwable t, String format, Object param1)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, Throwable t, String format, Object param1, Object param2)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object... params)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message at the given log level using `MessageFormat`-style formatting.
`void` `trace(Object message)` Issue a log message with a level of TRACE.
`void` `trace(Object message, Throwable t)` Issue a log message and throwable with a level of TRACE.
`void` `trace(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of TRACE.
`void` `trace(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of TRACE and a specific logger class name.
`void` `tracef(String format, int arg)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, int arg1, int arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, int arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, long arg)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, long arg1, long arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, long arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, Object... params)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, Object param1)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, Object param1, Object param2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, int arg)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, int arg1, int arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, int arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, long arg)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, long arg1, long arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, long arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, Object... params)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, Object param1)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of TRACE.
`void` `tracef(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of TRACE.
`void` `tracev(String format, Object... params)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(String format, Object param1)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(String format, Object param1, Object param2)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(Throwable t, String format, Object... params)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(Throwable t, String format, Object param1)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `tracev(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
`void` `warn(Object message)` Issue a log message with a level of WARN.
`void` `warn(Object message, Throwable t)` Issue a log message and throwable with a level of WARN.
`void` `warn(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of WARN.
`void` `warn(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of WARN and a specific logger class name.
`void` `warnf(String format, Object... params)` Issue a formatted log message with a level of WARN.
`void` `warnf(String format, Object param1)` Issue a formatted log message with a level of WARN.
`void` `warnf(String format, Object param1, Object param2)` Issue a formatted log message with a level of WARN.
`void` `warnf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of WARN.
`void` `warnf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of WARN.
`void` `warnf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of WARN.
`void` `warnf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of WARN.
`void` `warnf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of WARN.
`void` `warnv(String format, Object... params)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(String format, Object param1)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(String format, Object param1, Object param2)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(Throwable t, String format, Object... params)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(Throwable t, String format, Object param1)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
`void` `warnv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.

### Method Detail

#### isEnabled

    boolean isEnabled(Logger.Level level)

Check to see if the given level is enabled for this logger.

Parameters:
  `level` - the level to check for
Returns:
  `true` if messages may be logged at the given level, `false` otherwise

#### isTraceEnabled

    boolean isTraceEnabled()

Check to see if the `TRACE` level is enabled for this logger.

Returns:
  `true` if messages logged at `Logger.Level.TRACE` may be accepted, `false` otherwise

#### trace

    void trace(Object message)

Issue a log message with a level of TRACE.

Parameters:
  `message` - the message

#### trace

    void trace(Object message,
               Throwable t)

Issue a log message and throwable with a level of TRACE.

Parameters:
  `message` - the message
  `t` - the throwable

#### trace

    void trace(String loggerFqcn,
               Object message,
               Throwable t)

Issue a log message and throwable with a level of TRACE and a specific logger class name.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### trace

    void trace(String loggerFqcn,
               Object message,
               Object[] params,
               Throwable t)

Issue a log message with parameters and a throwable with a level of TRACE.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### tracev

    void tracev(String format,
                Object... params)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `params` - the parameters

#### tracev

    void tracev(String format,
                Object param1)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the sole parameter

#### tracev

    void tracev(String format,
                Object param1,
                Object param2)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### tracev

    void tracev(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### tracev

    void tracev(Throwable t,
                String format,
                Object... params)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### tracev

    void tracev(Throwable t,
                String format,
                Object param1)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### tracev

    void tracev(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### tracev

    void tracev(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of TRACE using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### tracef

    void tracef(String format,
                Object... params)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### tracef

    void tracef(String format,
                Object param1)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### tracef

    void tracef(String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### tracef

    void tracef(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                Object... params)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### tracef

    void tracef(Throwable t,
                String format,
                Object param1)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### tracef

    void tracef(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### tracef

    void tracef(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### tracef

    void tracef(String format,
                int arg)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### tracef

    void tracef(String format,
                int arg1,
                int arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(String format,
                int arg1,
                Object arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(String format,
                int arg1,
                int arg2,
                int arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(String format,
                int arg1,
                int arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(String format,
                int arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                int arg)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### tracef

    void tracef(Throwable t,
                String format,
                int arg1,
                int arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(Throwable t,
                String format,
                int arg1,
                Object arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(Throwable t,
                String format,
                int arg1,
                int arg2,
                int arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                int arg1,
                int arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                int arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(String format,
                long arg)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### tracef

    void tracef(String format,
                long arg1,
                long arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(String format,
                long arg1,
                Object arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(String format,
                long arg1,
                long arg2,
                long arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(String format,
                long arg1,
                long arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(String format,
                long arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                long arg)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### tracef

    void tracef(Throwable t,
                String format,
                long arg1,
                long arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(Throwable t,
                String format,
                long arg1,
                Object arg2)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### tracef

    void tracef(Throwable t,
                String format,
                long arg1,
                long arg2,
                long arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                long arg1,
                long arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### tracef

    void tracef(Throwable t,
                String format,
                long arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of TRACE.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### isDebugEnabled

    boolean isDebugEnabled()

Check to see if the `DEBUG` level is enabled for this logger.

Returns:
  `true` if messages logged at `Logger.Level.DEBUG` may be accepted, `false` otherwise

#### debug

    void debug(Object message)

Issue a log message with a level of DEBUG.

Parameters:
  `message` - the message

#### debug

    void debug(Object message,
               Throwable t)

Issue a log message and throwable with a level of DEBUG.

Parameters:
  `message` - the message
  `t` - the throwable

#### debug

    void debug(String loggerFqcn,
               Object message,
               Throwable t)

Issue a log message and throwable with a level of DEBUG and a specific logger class name.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### debug

    void debug(String loggerFqcn,
               Object message,
               Object[] params,
               Throwable t)

Issue a log message with parameters and a throwable with a level of DEBUG.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### debugv

    void debugv(String format,
                Object... params)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `params` - the parameters

#### debugv

    void debugv(String format,
                Object param1)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the sole parameter

#### debugv

    void debugv(String format,
                Object param1,
                Object param2)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### debugv

    void debugv(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### debugv

    void debugv(Throwable t,
                String format,
                Object... params)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### debugv

    void debugv(Throwable t,
                String format,
                Object param1)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### debugv

    void debugv(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### debugv

    void debugv(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### debugf

    void debugf(String format,
                Object... params)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### debugf

    void debugf(String format,
                Object param1)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### debugf

    void debugf(String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### debugf

    void debugf(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                Object... params)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### debugf

    void debugf(Throwable t,
                String format,
                Object param1)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### debugf

    void debugf(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### debugf

    void debugf(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### debugf

    void debugf(String format,
                int arg)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### debugf

    void debugf(String format,
                int arg1,
                int arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(String format,
                int arg1,
                Object arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(String format,
                int arg1,
                int arg2,
                int arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(String format,
                int arg1,
                int arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(String format,
                int arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                int arg)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### debugf

    void debugf(Throwable t,
                String format,
                int arg1,
                int arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(Throwable t,
                String format,
                int arg1,
                Object arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(Throwable t,
                String format,
                int arg1,
                int arg2,
                int arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                int arg1,
                int arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                int arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(String format,
                long arg)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### debugf

    void debugf(String format,
                long arg1,
                long arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(String format,
                long arg1,
                Object arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(String format,
                long arg1,
                long arg2,
                long arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(String format,
                long arg1,
                long arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(String format,
                long arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                long arg)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg` - the parameter

#### debugf

    void debugf(Throwable t,
                String format,
                long arg1,
                long arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(Throwable t,
                String format,
                long arg1,
                Object arg2)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter

#### debugf

    void debugf(Throwable t,
                String format,
                long arg1,
                long arg2,
                long arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                long arg1,
                long arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### debugf

    void debugf(Throwable t,
                String format,
                long arg1,
                Object arg2,
                Object arg3)

Issue a formatted log message with a level of DEBUG.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `arg1` - the first parameter
  `arg2` - the second parameter
  `arg3` - the third parameter

#### isInfoEnabled

    boolean isInfoEnabled()

Check to see if the `INFO` level is enabled for this logger.

Returns:
  `true` if messages logged at `Logger.Level.INFO` may be accepted, `false` otherwise

#### info

    void info(Object message)

Issue a log message with a level of INFO.

Parameters:
  `message` - the message

#### info

    void info(Object message,
              Throwable t)

Issue a log message and throwable with a level of INFO.

Parameters:
  `message` - the message
  `t` - the throwable

#### info

    void info(String loggerFqcn,
              Object message,
              Throwable t)

Issue a log message and throwable with a level of INFO and a specific logger class name.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### info

    void info(String loggerFqcn,
              Object message,
              Object[] params,
              Throwable t)

Issue a log message with parameters and a throwable with a level of INFO.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### infov

    void infov(String format,
               Object... params)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `params` - the parameters

#### infov

    void infov(String format,
               Object param1)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the sole parameter

#### infov

    void infov(String format,
               Object param1,
               Object param2)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### infov

    void infov(String format,
               Object param1,
               Object param2,
               Object param3)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### infov

    void infov(Throwable t,
               String format,
               Object... params)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### infov

    void infov(Throwable t,
               String format,
               Object param1)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### infov

    void infov(Throwable t,
               String format,
               Object param1,
               Object param2)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### infov

    void infov(Throwable t,
               String format,
               Object param1,
               Object param2,
               Object param3)

Issue a log message with a level of INFO using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### infof

    void infof(String format,
               Object... params)

Issue a formatted log message with a level of INFO.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### infof

    void infof(String format,
               Object param1)

Issue a formatted log message with a level of INFO.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### infof

    void infof(String format,
               Object param1,
               Object param2)

Issue a formatted log message with a level of INFO.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### infof

    void infof(String format,
               Object param1,
               Object param2,
               Object param3)

Issue a formatted log message with a level of INFO.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### infof

    void infof(Throwable t,
               String format,
               Object... params)

Issue a formatted log message with a level of INFO.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### infof

    void infof(Throwable t,
               String format,
               Object param1)

Issue a formatted log message with a level of INFO.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### infof

    void infof(Throwable t,
               String format,
               Object param1,
               Object param2)

Issue a formatted log message with a level of INFO.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### infof

    void infof(Throwable t,
               String format,
               Object param1,
               Object param2,
               Object param3)

Issue a formatted log message with a level of INFO.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### warn

    void warn(Object message)

Issue a log message with a level of WARN.

Parameters:
  `message` - the message

#### warn

    void warn(Object message,
              Throwable t)

Issue a log message and throwable with a level of WARN.

Parameters:
  `message` - the message
  `t` - the throwable

#### warn

    void warn(String loggerFqcn,
              Object message,
              Throwable t)

Issue a log message and throwable with a level of WARN and a specific logger class name.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### warn

    void warn(String loggerFqcn,
              Object message,
              Object[] params,
              Throwable t)

Issue a log message with parameters and a throwable with a level of WARN.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### warnv

    void warnv(String format,
               Object... params)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `params` - the parameters

#### warnv

    void warnv(String format,
               Object param1)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the sole parameter

#### warnv

    void warnv(String format,
               Object param1,
               Object param2)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### warnv

    void warnv(String format,
               Object param1,
               Object param2,
               Object param3)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### warnv

    void warnv(Throwable t,
               String format,
               Object... params)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### warnv

    void warnv(Throwable t,
               String format,
               Object param1)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### warnv

    void warnv(Throwable t,
               String format,
               Object param1,
               Object param2)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### warnv

    void warnv(Throwable t,
               String format,
               Object param1,
               Object param2,
               Object param3)

Issue a log message with a level of WARN using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### warnf

    void warnf(String format,
               Object... params)

Issue a formatted log message with a level of WARN.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### warnf

    void warnf(String format,
               Object param1)

Issue a formatted log message with a level of WARN.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### warnf

    void warnf(String format,
               Object param1,
               Object param2)

Issue a formatted log message with a level of WARN.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### warnf

    void warnf(String format,
               Object param1,
               Object param2,
               Object param3)

Issue a formatted log message with a level of WARN.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### warnf

    void warnf(Throwable t,
               String format,
               Object... params)

Issue a formatted log message with a level of WARN.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### warnf

    void warnf(Throwable t,
               String format,
               Object param1)

Issue a formatted log message with a level of WARN.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### warnf

    void warnf(Throwable t,
               String format,
               Object param1,
               Object param2)

Issue a formatted log message with a level of WARN.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### warnf

    void warnf(Throwable t,
               String format,
               Object param1,
               Object param2,
               Object param3)

Issue a formatted log message with a level of WARN.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### error

    void error(Object message)

Issue a log message with a level of ERROR.

Parameters:
  `message` - the message

#### error

    void error(Object message,
               Throwable t)

Issue a log message and throwable with a level of ERROR.

Parameters:
  `message` - the message
  `t` - the throwable

#### error

    void error(String loggerFqcn,
               Object message,
               Throwable t)

Issue a log message and throwable with a level of ERROR and a specific logger class name.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### error

    void error(String loggerFqcn,
               Object message,
               Object[] params,
               Throwable t)

Issue a log message with parameters and a throwable with a level of ERROR.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### errorv

    void errorv(String format,
                Object... params)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `params` - the parameters

#### errorv

    void errorv(String format,
                Object param1)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the sole parameter

#### errorv

    void errorv(String format,
                Object param1,
                Object param2)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### errorv

    void errorv(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### errorv

    void errorv(Throwable t,
                String format,
                Object... params)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### errorv

    void errorv(Throwable t,
                String format,
                Object param1)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### errorv

    void errorv(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### errorv

    void errorv(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of ERROR using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### errorf

    void errorf(String format,
                Object... params)

Issue a formatted log message with a level of ERROR.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### errorf

    void errorf(String format,
                Object param1)

Issue a formatted log message with a level of ERROR.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### errorf

    void errorf(String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of ERROR.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### errorf

    void errorf(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of ERROR.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### errorf

    void errorf(Throwable t,
                String format,
                Object... params)

Issue a formatted log message with a level of ERROR.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### errorf

    void errorf(Throwable t,
                String format,
                Object param1)

Issue a formatted log message with a level of ERROR.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### errorf

    void errorf(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of ERROR.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### errorf

    void errorf(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of ERROR.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### fatal

    void fatal(Object message)

Issue a log message with a level of FATAL.

Parameters:
  `message` - the message

#### fatal

    void fatal(Object message,
               Throwable t)

Issue a log message and throwable with a level of FATAL.

Parameters:
  `message` - the message
  `t` - the throwable

#### fatal

    void fatal(String loggerFqcn,
               Object message,
               Throwable t)

Issue a log message and throwable with a level of FATAL and a specific logger class name.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### fatal

    void fatal(String loggerFqcn,
               Object message,
               Object[] params,
               Throwable t)

Issue a log message with parameters and a throwable with a level of FATAL.

Parameters:
  `loggerFqcn` - the logger class name
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### fatalv

    void fatalv(String format,
                Object... params)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `params` - the parameters

#### fatalv

    void fatalv(String format,
                Object param1)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the sole parameter

#### fatalv

    void fatalv(String format,
                Object param1,
                Object param2)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### fatalv

    void fatalv(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### fatalv

    void fatalv(Throwable t,
                String format,
                Object... params)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### fatalv

    void fatalv(Throwable t,
                String format,
                Object param1)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### fatalv

    void fatalv(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### fatalv

    void fatalv(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a log message with a level of FATAL using `MessageFormat`-style formatting.

Parameters:
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### fatalf

    void fatalf(String format,
                Object... params)

Issue a formatted log message with a level of FATAL.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### fatalf

    void fatalf(String format,
                Object param1)

Issue a formatted log message with a level of FATAL.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### fatalf

    void fatalf(String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of FATAL.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### fatalf

    void fatalf(String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of FATAL.

Parameters:
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### fatalf

    void fatalf(Throwable t,
                String format,
                Object... params)

Issue a formatted log message with a level of FATAL.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### fatalf

    void fatalf(Throwable t,
                String format,
                Object param1)

Issue a formatted log message with a level of FATAL.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### fatalf

    void fatalf(Throwable t,
                String format,
                Object param1,
                Object param2)

Issue a formatted log message with a level of FATAL.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### fatalf

    void fatalf(Throwable t,
                String format,
                Object param1,
                Object param2,
                Object param3)

Issue a formatted log message with a level of FATAL.

Parameters:
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### log

    void log(Logger.Level level,
             Object message)

Log a message at the given level.

Parameters:
  `level` - the level
  `message` - the message

#### log

    void log(Logger.Level level,
             Object message,
             Throwable t)

Issue a log message and throwable at the given log level.

Parameters:
  `level` - the level
  `message` - the message
  `t` - the throwable

#### log

    void log(Logger.Level level,
             String loggerFqcn,
             Object message,
             Throwable t)

Issue a log message and throwable at the given log level and a specific logger class name.

Parameters:
  `level` - the level
  `loggerFqcn` - the logger class name
  `message` - the message
  `t` - the throwable

#### log

    void log(String loggerFqcn,
             Logger.Level level,
             Object message,
             Object[] params,
             Throwable t)

Issue a log message with parameters and a throwable at the given log level.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `message` - the message
  `params` - the message parameters
  `t` - the throwable

#### logv

    void logv(Logger.Level level,
              String format,
              Object... params)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `format` - the message format string
  `params` - the parameters

#### logv

    void logv(Logger.Level level,
              String format,
              Object param1)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `format` - the message format string
  `param1` - the sole parameter

#### logv

    void logv(Logger.Level level,
              String format,
              Object param1,
              Object param2)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### logv

    void logv(Logger.Level level,
              String format,
              Object param1,
              Object param2,
              Object param3)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### logv

    void logv(Logger.Level level,
              Throwable t,
              String format,
              Object... params)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### logv

    void logv(Logger.Level level,
              Throwable t,
              String format,
              Object param1)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### logv

    void logv(Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### logv

    void logv(Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2,
              Object param3)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### logv

    void logv(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object... params)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `params` - the parameters

#### logv

    void logv(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object param1)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `param1` - the sole parameter

#### logv

    void logv(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter

#### logv

    void logv(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2,
              Object param3)

Issue a log message at the given log level using `MessageFormat`-style formatting.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable
  `format` - the message format string
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### logf

    void logf(Logger.Level level,
              String format,
              Object... params)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the parameters

#### logf

    void logf(Logger.Level level,
              String format,
              Object param1)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### logf

    void logf(Logger.Level level,
              String format,
              Object param1,
              Object param2)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### logf

    void logf(Logger.Level level,
              String format,
              Object param1,
              Object param2,
              Object param3)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### logf

    void logf(Logger.Level level,
              Throwable t,
              String format,
              Object... params)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `params` - the parameters

#### logf

    void logf(Logger.Level level,
              Throwable t,
              String format,
              Object param1)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the sole parameter

#### logf

    void logf(Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter

#### logf

    void logf(Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2,
              Object param3)

Issue a formatted log message at the given log level.

Parameters:
  `level` - the level
  `t` - the throwable
  `format` - the format string, as per `String.format(String, Object...)`
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### logf

    void logf(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object param1)

Log a message at the given level.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable cause
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the sole parameter

#### logf

    void logf(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2)

Log a message at the given level.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable cause
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter

#### logf

    void logf(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object param1,
              Object param2,
              Object param3)

Log a message at the given level.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable cause
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `param1` - the first parameter
  `param2` - the second parameter
  `param3` - the third parameter

#### logf

    void logf(String loggerFqcn,
              Logger.Level level,
              Throwable t,
              String format,
              Object... params)

Log a message at the given level.

Parameters:
  `loggerFqcn` - the logger class name
  `level` - the level
  `t` - the throwable cause
  `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
  `params` - the message parameters